package com.foreverwin.mesnac.dispatch.dto;


import java.io.Serializable;
import java.util.Date;

public class DateTimeQueryParam implements Serializable {

    private String dateFromStr;
    private String dateToStr;
    private Date dateFrom;
    private Date dateTo;
    private String requireDateFromStr;
    private String requireDateToStr;
    private Date requireDateFrom;
    private Date requireDateTo;

    public String getDateFromStr() {
        return dateFromStr;
    }

    public void setDateFromStr(String dateFromStr) {
        this.dateFromStr = dateFromStr;
    }

    public String getDateToStr() {
        return dateToStr;
    }

    public void setDateToStr(String dateToStr) {
        this.dateToStr = dateToStr;
    }

    public Date getDateFrom() {
        return dateFrom;
    }

    public void setDateFrom(Date dateFrom) {
        this.dateFrom = dateFrom;
    }

    public Date getDateTo() {
        return dateTo;
    }

    public void setDateTo(Date dateTo) {
        this.dateTo = dateTo;
    }

    public String getRequireDateFromStr() {
        return requireDateFromStr;
    }

    public void setRequireDateFromStr(String requireDateFromStr) {
        this.requireDateFromStr = requireDateFromStr;
    }

    public String getRequireDateToStr() {
        return requireDateToStr;
    }

    public void setRequireDateToStr(String requireDateToStr) {
        this.requireDateToStr = requireDateToStr;
    }

    public Date getRequireDateFrom() {
        return requireDateFrom;
    }

    public void setRequireDateFrom(Date requireDateFrom) {
        this.requireDateFrom = requireDateFrom;
    }

    public Date getRequireDateTo() {
        return requireDateTo;
    }

    public void setRequireDateTo(Date requireDateTo) {
        this.requireDateTo = requireDateTo;
    }
}
